/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model131
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model131 {
  @SerializedName("general_information")
  private Model85 generalInformation = null;

  @SerializedName("trip_claim_information")
  private TripClaimInformation tripClaimInformation = null;

  public Model131 generalInformation(Model85 generalInformation) {
    this.generalInformation = generalInformation;
    return this;
  }

   /**
   * Get generalInformation
   * @return generalInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model85 getGeneralInformation() {
    return generalInformation;
  }

  public void setGeneralInformation(Model85 generalInformation) {
    this.generalInformation = generalInformation;
  }

  public Model131 tripClaimInformation(TripClaimInformation tripClaimInformation) {
    this.tripClaimInformation = tripClaimInformation;
    return this;
  }

   /**
   * Get tripClaimInformation
   * @return tripClaimInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public TripClaimInformation getTripClaimInformation() {
    return tripClaimInformation;
  }

  public void setTripClaimInformation(TripClaimInformation tripClaimInformation) {
    this.tripClaimInformation = tripClaimInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model131 model131 = (Model131) o;
    return Objects.equals(this.generalInformation, model131.generalInformation) &&
        Objects.equals(this.tripClaimInformation, model131.tripClaimInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(generalInformation, tripClaimInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model131 {\n");
    
    sb.append("    generalInformation: ").append(toIndentedString(generalInformation)).append("\n");
    sb.append("    tripClaimInformation: ").append(toIndentedString(tripClaimInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

